#ifndef _COMMON_H
#define _COMMON_H

#define DELAY_VALUE	10

/* meaning of individual bits of the printer data port */
#define DATA		0	/* inverted */
#define CLOCK		1	/* inverted */
#define SELECT		2	/* inverted */

/* function prototypes */
void SetBit (uint bit);
void ClrBit (uint bit);
void SendByte (uint x);
uint ReadByte (void);
void SendAddr (uint address);
void ReadBytes (uchar *ptr, uint count);
void WriteBytes (uchar *ptr, uint count);
void Init (void);

#endif
